Bug 249331 - graphics/blender: CYCLES should imply TBB
Summary: graphics/blender: CYCLES should imply TBB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks: 251852
  Show dependency treegraph
 
Reported: 2020-09-15 11:37 UTC by Greg V
Modified: 2020-12-18 13:31 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
maintainer update for graphics/blender (1.54 KB, patch)
2020-09-16 10:33 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-09-15 11:37:37 UTC
This port needs CYCLES_IMPLIES+=TBB because I've tried to build a really stripped down version and, well,


-- 'WITH_TBB' is disabled: forcing 'set(WITH_CYCLES OFF)'
-- 'WITH_TBB' is disabled: forcing 'set(WITH_USD OFF)'
Comment 1 Shane 2020-09-16 10:33:38 UTC
Created attachment 217997 [details]
maintainer update for graphics/blender

You are correct, it should also be on a few other options as well.


Add *_IMPLIES=TBB to several options that require it.
Remove duplicate depends entry for devel/tbb
Comment 2 Automation User 2020-11-18 14:50:33 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/217566002
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-18 13:31:07 UTC
Committed,

Thanks!
Comment 4 commit-hook freebsd_committer 2020-12-18 13:31:34 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec 18 13:30:53 UTC 2020
New revision: 558371
URL: https://svnweb.freebsd.org/changeset/ports/558371

Log:
  graphics/blender: Complete options that imply TBB

  Some of the options actually need devel/tbb.

  PR:	249331
  Submitted by:	greg@unrelenting.technology
  Approved by:	FreeBSD@ShaneWare.Biz (maintainer)

Changes:
  head/graphics/blender/Makefile